// Code generated by go-swagger; DO NOT EDIT.

package load_balancer_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	models "gitlab.com/kathra/kathra/kathra-services/kathra-runtimemanager/kathra-runtimemanager-go/kathra-runtimemanager-interface/models"
)

// GetLoadBalancersFromRuntimeOKCode is the HTTP code returned for type GetLoadBalancersFromRuntimeOK
const GetLoadBalancersFromRuntimeOKCode int = 200

/*GetLoadBalancersFromRuntimeOK RuntimeLoadBalancer from RuntimeEnvironment

swagger:response getLoadBalancersFromRuntimeOK
*/
type GetLoadBalancersFromRuntimeOK struct {

	/*
	  In: Body
	*/
	Payload *models.RuntimeHTTPLoadBalancer `json:"body,omitempty"`
}

// NewGetLoadBalancersFromRuntimeOK creates GetLoadBalancersFromRuntimeOK with default headers values
func NewGetLoadBalancersFromRuntimeOK() *GetLoadBalancersFromRuntimeOK {

	return &GetLoadBalancersFromRuntimeOK{}
}

// WithPayload adds the payload to the get load balancers from runtime o k response
func (o *GetLoadBalancersFromRuntimeOK) WithPayload(payload *models.RuntimeHTTPLoadBalancer) *GetLoadBalancersFromRuntimeOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the get load balancers from runtime o k response
func (o *GetLoadBalancersFromRuntimeOK) SetPayload(payload *models.RuntimeHTTPLoadBalancer) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *GetLoadBalancersFromRuntimeOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
